import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JPanel;


/**
 * A drawing of a graph of the popularity of a baby name over time
 * 
 * @author YOUR NAME HERE (and Joel Ross)
 */
public class NameGraph extends JPanel
{
	public static final int MIN_YEAR = 1880; //TODO use constants from NameRecord instead!
	public static final int MAX_YEAR = 2012;
	private static final int W = 750; //width
	private static final int H = 600; //height
	
	/**
	 * Constructs a new NameGraph object
	 */
	public NameGraph()
	{
		this.setPreferredSize(new Dimension(W,H));
	}
	
	//paints the graph
	public void paintComponent(Graphics g)
	{
		super.paintComponent(g); //call parent, just in case
		Graphics2D g2d = (Graphics2D)g; //recover graphics

		g2d.setColor(Color.WHITE);
		g2d.fillRect(0, 0, W, H); //blank out old drawings
		g2d.setColor(Color.BLACK);

		//baseline
		g2d.setStroke(new BasicStroke(2));
		g2d.drawLine(0,H-50,W,H-50);

		//draw decade lines
		int decades = (MAX_YEAR - MIN_YEAR)/10 + 1;
		g2d.setStroke(new BasicStroke(1));
		for(int i=0; i<decades; i++)
		{
			int x = 10+i*50; //50px is a good spread for 14 decades, and should look fine otherwise
			g2d.drawString(""+(MIN_YEAR + 10*i), x, H-30);
			g2d.drawLine(x-3, 50, x-3, H-20);
		}
	
	
		//TODO Other drawing goes here (and erase this comment!)
	
	}
	
}
